﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Configuration;

namespace DBLOG.BizTalk.BizTalkExplorerServices.Core
{
    public static class BizTalkSettings
    {
        private const string LOCALHOST = "localhost";

        private const string BIZTALK_MGMT_DB = "BizTalkMgmtDb";

        public static string ServerName 
        { 
            get 
            { 
                return String.IsNullOrEmpty(ConfigurationManager.AppSettings["BizTalkServerName"] as string) 
                ? LOCALHOST 
                : ConfigurationManager.AppSettings["BizTalkServerName"]; 
            }
        }

        public static string ManagementDatabase
        {
            get
            {
                return String.IsNullOrEmpty(ConfigurationManager.AppSettings["BizTalkManagementDatabaseName"] as string)
                ? BIZTALK_MGMT_DB
                : ConfigurationManager.AppSettings["BizTalkManagementDatabaseName"]; 
            }
        }
    }
}
