﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DBLOG.BizTalk.BizTalkExplorerServices.Entities
{

    /// <summary>
    /// This class serves as a BizTalk server summary with simple counters
    /// </summary>
    public class BTSSummary
    {
        public int CountWarnings { get; set; }
        public int CountErrors { get; set; }
        public int CountApplications { get; set; }
        public int CountReceiveLocations { get; set; }
        public int CountReceivePorts { get; set; }
        public int CountSendPorts { get; set; }
        public int CountOrchestrations { get; set; }
        public int CountHosts { get; set; }
        public int CountMessagesInProcess { get; set; }
        public string ServerName { get; set; }
        public string Version { get; set; }
    }
}
